[Pkg-octave-devel] [RFU] octave-pkg-dev 0.7.0

Rafael Laboissiere rafael at debian.org
Mon Jun 8 12:10:02 UTC 2009

This is an advanced RFU for version 0.7.0 of octave-pkg-dev, as in Git
commit cd19518.  This version will be fully adapted to octave3.2.  All
Octave-Forge packages that will be built with this version will only work
with octave3.2.  For this reason, I will delay the upload until these two
things happen:

A) The octave3.2 package is built on every architecture.  This is the
   current situation [1]:

     alpha Building
     amd64 Installed
     armel Building
      hppa Needs-Build
      i386 Installed
      ia64 Building
      mips Build-Attempted
    mipsel Build-Attempted
   powerpc Dep-Wait: arpack (>= 2.1+parpack96.dfsg-2+b1)
      s390 Installed
     sparc Needs-Build

   Autobuild is stalled on powerpc because of a problem in installing
   libopenmpi when building arpack.  At any rate, the problems on mips
   [2] and mipsel [3] are more serious.  The package build stops with
   this error:

     src/data.cc ............................................
     make[3]: *** [check] Segmentation fault
     make[2]: *** [check] Terminated
     make[1]: *** [check] Terminated
     make: *** [check-stamp] Terminated
     Build killed with signal 15 after 150 minutes of inactivity

   I think we need to have access to a mips or mipsel machine in order to
   debug this problem.

B) Either the Octave-Forge packages are released upstream for Octave 3.2.0,
   or we ensure that current source packages build correctly against
   octave-pkg-dev 0.7.0.

1: https://buildd.debian.org/~luk/status/package.php?p=octave3.2
2: https://buildd.debian.org/fetch.cgi?pkg=octave3.2;ver=3.2.0-1;arch=mips;stamp=1244399724
3: https://buildd.debian.org/fetch.cgi?pkg=octave3.2;ver=3.2.0-1;arch=mipsel;stamp=1244436520


More information about the Pkg-octave-devel mailing list